
GammaLib - Action #1803

Add unit tests for example C++ executables and Python scripts

06/23/2016 11:58 AM - Knödlseder Jürgen

Status: Closed Start date: 06/23/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

Everything in the examples folder should be included in unit tests so that validity of the examples is continuously monitored

History

#1 - 06/24/2016 09:03 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.1.0

Decided to include this in the 1.1 release.

#2 - 06/24/2016 03:09 PM - Knödlseder Jürgen

- % Done changed from 0 to 90

All example scripts are now unit tested using the test_examples.py script that is called when make check in invoked. Unit testing of examples scripts

is now simply an additional unit test of the package. Note, however, that so far no meaningful tests have been implemented, but at least it is checked

whether the example programs and scripts do not fail.

#3 - 06/24/2016 04:05 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Merged into devel
